const image_upload_props = (limit: number = 5, extranote = "") => {
  return {
    type: 'upload',
    listType: 'picture-card',
    span: 24,
    accept: 'image/png, image/jpeg',
    limit: 1,
    fileSize: limit * 1024,
    row: true,
    propsHttp: {
      res: 'data'
    },
    tip: `${extranote}只能上传jpg/png图片，且不超过${limit}MiB（暂时没用）`,
    action: ''
  }
}

export default (isnew: boolean = false) => {
  return {
    labelWidth: 100,
    column: [
      {
        label: '直播间名称',
        prop: 'title',
        row: true,
        span: 12,
        rules: [{ required: true, message: "直播间名称 为必填项" }]
      }, {
        label: "分享摘要",
        prop: "summary",
        row: true,
        span: 16,
      }, {
        label: "分享图标",
        prop: "imageShare",
        ...image_upload_props(1, "建议尺寸：300x300px，"),
      }, {
        label: '背景图片',
        prop: "imageCover",
        ...image_upload_props(5, "建议尺寸：1080x1920px，"),
      }, {
        label: '直播类型',
        prop: 'videoKind',
        type: 'radio',
        span: 8,
        row: true,
        dicData: [
          { value: "vertical", label: "竖屏" },
          { value: "horizontal", label: "横屏" }
        ],
      }, {
        label: "首页显示",
        prop: "showInList",
        type: 'switch',
        row: true,
        dicData: [{
          label: '否',
          value: false
        }, {
          label: '是',
          value: true
        }],
      }, {
        label: '开始时间',
        prop: "startTime",
        type: "datetime",
        span: 8,
        row: true,
        rules: [{ required: true, message: "开始时间不能为空" }]
      }, {
        label: "直播间有效期",
        prop: "hours",
        type: "number",
        step: 1,
        precision: 0,
        span: 6,
        row: true,
        display: isnew,
        tip: "单位为小时",
      }, {
        label: "直播推流地址",
        prop: "livePushUrl",
        span: 16,
        row: true,
      }, {
        label: "livePullRtmpUrl",
        prop: "livePullRtmpUrl",
        span: 16,
        row: true,
      }, {
        label: "livePullHlsUrl",
        prop: "livePullHlsUrl",
        span: 16,
        row: true,
      }, {
        label: "回放视频地址",
        prop: "replayVideoUrl",
        span: 16,
        row: true,
      }, {
        label: '描述',
        prop: 'desc',
        type: 'textarea',
        minRows: 3,
        maxRows: 5,
        span: 16,
        row: true,
      },
    ]
  }
}