import Vue from 'vue'
import App from '@/App.vue'
import router from '@/router'                 // api: https://github.com/vuejs/vue-router
import store from '@/store'                   // api: https://github.com/vuejs/vuex
import VueCookie from 'vue-cookie'            // api: https://github.com/alfhen/vue-cookie
import '@/icons'                              // api: http://www.iconfont.cn/
import '@/assets/scss/index.scss'
import { isAuth } from '@/utils'

Vue.use(VueCookie)
Vue.config.productionTip = false

// 挂载全局
Vue.prototype.isAuth = isAuth     // 权限方法
Vue.prototype.$shortcut = {
  notFound() {
    router.push({ name: "404" })
  }
}

// 保存整站vuex本地储存初始状态
// process.env.VUE_APP_RESOURCES_URL['storeState'] = cloneDeep(store.state)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
